Skip to content
Sendtier Docs
API reference

List active API keys, newest first

Source: OpenAPI (openapi/openapi.yaml).

curl -X GET "https://api.sendtier.example/api-keys" \  -H "Authorization: Bearer st_live_REPLACE_ME"
{  "data": [    {      "id": "string",      "name": "string",      "mode": "live",      "scope": "full",      "prefix": "string",      "created_at": "2019-08-24T14:15:22Z",      "last_used_at": "2019-08-24T14:15:22Z"    }  ],  "next_cursor": "string"}
GET
/api-keys

Requires a full-scope key.

Authorization

headerAuthorizationBearer <token>

API key: st_live_... or st_test_...

Query Parameters

limit?integer
Range1 <= value <= 100
Default50
after?string

Cursor from next_cursor of the previous page.

Response Body

A page of active API keys, ordered by descending ID.

application/json
  1. response
data*array<>
next_cursor?string